GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
      List SymbolsGet Symbol DetailsGet TickerList CandlesList Derivative CandlesList Fee PromosGet Current Order BookList TradesList PricesFX RateGet Assets for NetworkGet Network
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Current Order Book

TradingMarket DataGet Current Order Book

Get Current Order Book

GEThttps://api.gemini.com/v1/book/{symbol}

This will return the current order book as two arrays (bids / asks).

Note

The quantities and prices returned are returned as strings rather than numbers. The numbers returned are exact, not rounded, and it can be dangerous to treat them as floating point numbers.

GETv1/book/BTCUSD
curl --request GET \
  --url https://api.gemini.com/v1/book/BTCUSD

Path Parameters

symbolstring·required
Trading pair symbol BTCUSD, etc. See symbols and minimums.

Query Parameters

limit_bidsnumber
Limit the number of bid (offers to buy) price levels returned. Default is 50. May be 0 to return the full order book on this side.
limit_asksnumber
Limit the number of ask (offers to sell) price levels returned. Default is 50. May be 0 to return the full order book on this side.

Responses

The response will be two arrays. The bids and the asks are grouped by price, so each entry may represent multiple orders at that price. Each element of the array will be a JSON object.

bidsarray
The bid price levels currently on the book. These are offers to buy at a given price.
bids[].pricenumber (decimal)
The price
bids[].amountnumber (decimal)
The total quantity remaining at the price
bids[].timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
asksarray
The ask price levels currently on the book. These are offers to sell at a given price.
asks[].pricenumber (decimal)
The price
asks[].amountnumber (decimal)
The total quantity remaining at the price
asks[].timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
Example Responses
{
  "bids": [
    {
      "price": "3607.85",
      "amount": "6.643373",
      "timestamp": "1547147541"
    }
  ],
  "asks": [
    {
      "price": "3607.86",
      "amount": "14.68205084",
      "timestamp": "1547147541"
    }
  ]
}
PreviousList Fee PromosNextList Trades
Last modified on April 29, 2026